@charset "UTF-8";
/*變數*/
:root {
  --sm-accent: #cc0000;
  --sm-bg: #f5f5f5;
  --sm-accent-sub-10: rgba(255, 102, 0, 0.1);
  --sm-order: #eeeeee;
  --sm-text-color-light: #666666;
  --sm-text-color: #333;
  --sm-border-radius: 8px;
}

/*預設button和a都會用到的文字變色-預設為內文字色*/
/*清掉testshoppingmall的layout的限制*/
@media (min-width: 768px) {
  #main-content {
    max-width: none !important;
    margin: auto !important;
    padding: 0 !important;
  }
}
/*------------------------------------*\
   影片列表
\*------------------------------------*/
.video-sideshow {
  /*影片列表大圖*/
  margin-bottom: 2rem;
  border-radius: var(--sm-border-radius);
  overflow: hidden;
}

/*導覽列選單*/
.video-nav {
  display: flex;
  gap: 4px;
  padding: 4px 16px;
  margin: 0 0 32px 0;
  list-style-type: none;
  background-color: #eee;
  overflow-x: auto;
  border-radius: 48px;
  white-space: nowrap;
}
.video-nav li a {
  display: block;
  color: var(--on-surface);
  padding: 8px 16px;
  border-radius: 40px;
  line-height: 1.4;
}
.video-nav li.active a {
  color: var(--secondary-on-surface);
  background: var(--secondary);
}
.video-nav li.active a:hover,
.video-nav li a:active,
.video-nav li a:focus,
.video-nav li a:hover {
  color: var(--secondary-on-surface);
  background: var(--secondary);
  opacity: 0.8;
}

@media (max-width: 767.98px) {
  .video-nav {
    overflow-y: hidden;
    flex-wrap: nowrap;
    border-radius: 48px 0 0 48px;
    margin: 0 0 24px 0;
  }
}
.video-card {
  /*影片列表卡片*/
  display: flex;
  flex-direction: column;
  border: 1px solid var(--sm-order);
  height: calc(100% - 1.5em);
  margin-bottom: 1.5rem;
  border-radius: var(--sm-border-radius);
  overflow: hidden;
  transition: all 0.2s;
}
.video-card:hover, .video-card:focus {
  background-color: #fafafa;
  box-shadow: 0 3px 3px -2px rgba(0, 0, 0, 0.2), 0 3px 4px 0 rgba(0, 0, 0, 0.14), 0 1px 8px 0 rgba(0, 0, 0, 0.12);
}
.video-card__img {
  aspect-ratio: 3/2;
}
.video-card__img img {
  aspect-ratio: 3/2;
  -o-object-fit: cover;
     object-fit: cover;
}
.video-card__body {
  display: grid;
  gap: 0.5rem;
  padding: 0.75rem 1rem;
  height: 100%;
}
.video-card__info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 0.5rem;
  margin-top: auto;
}
.video-card__info .price {
  font-size: 1.125rem;
  font-weight: 400;
  letter-spacing: 0.15px;
  color: var(--accent);
}
.video-card__info .number {
  font-size: 0.85rem;
  letter-spacing: 0.5px;
  color: var(--sm-text-color-light);
}
.video-card__title {
  font-size: 1.125rem;
}
.video-card__title > a {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.video-card__title-sub {
  /*次標*/
  font-size: 0.85rem;
  color: var(--sm-text-color-light);
}
.video-card__title a {
  color: #333333;
}
.video-card__title a:hover, .video-card__title a:focus {
  color: var(--primary);
}
.video-card__text {
  margin: 0;
}
.video-card__date {
  font-size: 13px;
  line-height: 16px;
  letter-spacing: 0.5px;
  color: var(--sm-text-color-light);
}

@media (max-width: 575.98px) {
  .video-card {
    flex-direction: row;
    gap: 1rem;
    padding: 8px 12px;
    height: calc(100% - 0.75rem);
    margin-bottom: 0.75rem;
    transition: all 0.2s;
  }
  .video-card:hover, .video-card:focus {
    background-color: #fafafa;
    box-shadow: 0 3px 3px -2px rgba(0, 0, 0, 0.2), 0 3px 4px 0 rgba(0, 0, 0, 0.14), 0 1px 8px 0 rgba(0, 0, 0, 0.12);
  }
  .video-card__body {
    padding: 0;
    gap: 0rem;
  }
  .video-card__img {
    max-width: 124px;
    height: -moz-max-content;
    height: max-content;
    border-radius: var(--sm-border-radius);
    overflow: hidden;
  }
  .video-card__info {
    flex-direction: column;
    align-items: flex-start;
  }
  .video-card__info .price {
    font-size: 0.875rem;
  }
  .video-card__info .number {
    line-height: 1.2;
  }
  .video-card__title {
    font-size: 1rem;
    line-height: 22px;
  }
}
/*熱門影音標題*/
.video-sidebar-title {
  padding: 8px;
  border-radius: var(--sm-border-radius);
  color: var(--primary-on-surface);
  background: var(--primary);
}

/*側邊熱門影音列表*/
.video-list ul {
  padding: 0;
  margin: 0;
  list-style-type: none;
  border-radius: var(--sm-border-radius);
  border: 1px solid var(--sm-order);
  overflow: hidden;
}
.video-list ul li {
  display: flex;
  gap: 12px;
  padding: 12px 16px;
  border-bottom: 1px solid var(--sm-order);
}
.video-list ul li:hover {
  transition: all 0.2s;
}
.video-list ul li:hover:hover, .video-list ul li:hover:focus {
  background-color: #fafafa;
  box-shadow: 0 3px 3px -2px rgba(0, 0, 0, 0.2), 0 3px 4px 0 rgba(0, 0, 0, 0.14), 0 1px 8px 0 rgba(0, 0, 0, 0.12);
}
.video-list__img {
  overflow: hidden;
  width: 84px;
  border-radius: var(--sm-border-radius);
}
.video-list__info {
  flex: 1;
}
.video-list__title {
  display: block;
  vertical-align: top;
  font-size: 1rem;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.video-list__title a {
  color: var(--sm-text-color);
}
.video-list__title a:hover, .video-list__title a:focus {
  color: var(--primary);
}
.video-list__price {
  font-size: 0.875rem;
}

/*------------------------------------*\
   影片詳細頁
\*------------------------------------*/
/*---分頁區塊///start---*/
.tabs {
  display: flex;
  flex-wrap: wrap;
  /*tab的radio選到時標題區塊*/
  /*tab的radio選到時內容區塊*/
}
.tabs label {
  /*預設tab標題樣式*/
  flex: 1;
  font-weight: bold;
  font-size: 1rem;
  padding: 0.5rem 0.25em;
  cursor: pointer;
  text-align: center;
  margin-bottom: 0;
  border-bottom: 3px solid transparent;
  border-radius: 8px 8px 0 0;
  transition: all 0.2s;
}
.tabs label:hover {
  background-color: var(--sm-bg);
}
.tabs .tab-content {
  /*預設內容樣式*/
  border-top: 1px solid var(--sm-order);
  padding: 1rem 0;
  width: 100%;
}
.tabs input[type=radio],
.tabs .tab-content {
  /*預設radio和內容區塊隱藏*/
  display: none;
}
.tabs input[type=radio]:checked + label {
  border-bottom: 3px solid var(--primary);
}
.tabs input[type=radio]:checked + label + .tab-content {
  display: block;
  order: 1;
}

/*---分頁區塊///end---*/
.video-main__movie {
  border-radius: var(--sm-border-radius);
  overflow: hidden;
  margin-bottom: 1rem;
}
@media (max-width: 575.98px) {
  .video-main__movie {
    border-radius: 0;
  }
}
.video-main__info {
  /*標題和簡述區塊*/
  height: calc(100% - 1.5rem);
}
.video-main__content {
  /*詳細介紹*/
}
.video-main__title {
  /*詳細頁影片標題*/
  font-size: 1.75rem;
  line-height: 2.375;
}
.video-main__title-block {
  /*會員專區標題區塊*/
  display: flex;
  justify-content: space-between;
  gap: 8px;
  margin-bottom: 1.5rem;
}
.video-main__sidebar {
  /*側邊攔-*/
}
@media (min-width: 992px) {
  .video-main__sidebar {
    position: sticky;
    top: 120px;
  }
}
.video-main__sidebar .video-list {
  /*影片組合*/
}
.video-main__sidebar .video-list ul {
  border: 0;
  background-color: var(--surface, #F7FAF6);
}
@media (min-width: 992px) {
  .video-main__sidebar .video-list ul {
    max-height: 320px;
    overflow-y: auto;
  }
}
.video-main__cart {
  /*價格區塊*/
  display: grid;
}
.video-main__details {
  /*共幾堂課或觀看天數*/
  font-size: 0.875rem;
  white-space: nowrap;
}
.video-main__price {
  /*價格組-含原價和特惠價*/
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  align-items: center;
  white-space: nowrap;
}
.video-main-default-price {
  /*原本價格*/
}
.video-main-default-price .default-price {
  color: var(--sm-text-color-light);
  text-decoration-line: line-through;
}
.video-main-detail-price {
  /*促銷價*/
  display: flex;
  align-items: center;
  gap: 0.25rem;
  color: var(--sm-accent);
  font-size: 40px;
  font-weight: 700;
  line-height: 1;
}
@media (max-width: 575.98px) {
  .video-main-detail-price {
    font-size: 38px;
    gap: 0rem;
  }
}
.video-main-detail-price .discount {
  display: flex;
  padding: 4px 6px;
  justify-content: center;
  align-items: center;
  background: var(--sm-accent);
  color: #ffffff;
  text-align: center;
  font-size: 12px;
  font-weight: 700;
  line-height: 16px;
  letter-spacing: 0.5px;
  border-radius: 4px;
}
.video-main__submit {
  /*送出按鈕組*/
  gap: 0.5rem;
}

.video-main__float-cart {
  /*手機版上才會出現的頁尾選單*/
  display: none;
  white-space: nowrap;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: 9;
  gap: 4px;
  background: #FFF;
  padding: 8px 4px;
  box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.15), 0px 1px 3px 0px rgba(0, 0, 0, 0.3);
}
@media (max-width: 991.98px) {
  .video-main__float-cart {
    display: flex;
  }
}
.video-main__float-cart .item {
  position: relative;
  font-size: 0.8rem;
  padding: 0 4px;
  flex: 1;
  text-align: center;
  color: #333;
}
.video-main__float-cart .item svg {
  width: 24px;
  height: 24px;
  display: block;
  margin: auto;
}
.video-main__float-cart .item svg path {
  fill: var(--sm-text-color-light);
}
.video-main__float-cart .float-cart-num {
  /*紅色提醒數字*/
  position: absolute;
  right: calc(50% - 22px);
  top: 0px;
  display: flex;
  min-width: 16px;
  padding: 0px 4px;
  justify-content: center;
  align-items: center;
  color: #ffffff;
  line-height: 1.4;
  font-size: 12px;
  border-radius: 100px;
  background: var(--sm-accent);
}
.video-main__float-cart .btn {
  padding: 0.35rem 0.5rem;
  flex: 2;
}

/*------------------------------------*\
   影音結帳頁
\*------------------------------------*/
.video-cart {
  max-width: 710px;
  margin: auto;
  padding-bottom: 1rem;
}
.video-cart-list {
  /*購買清單列表*/
  display: grid;
  gap: 1rem;
  margin: 0;
  padding: 0;
  list-style-type: none;
}
.video-cart-list > li {
  display: flex;
  gap: 1rem;
  padding: 8px;
  border-radius: 8px;
  background-color: var(--surface, #F7FAF6);
}
.video-cart-list p {
  margin-bottom: 0;
}
.video-cart-list__img {
  overflow: hidden;
  width: 140px;
  border-radius: var(--sm-border-radius);
}
@media (max-width: 575.98px) {
  .video-cart-list__img {
    width: 90px;
  }
}
.video-cart-list__img img {
  border-radius: var(--sm-border-radius);
}
.video-cart-list__info-block {
  /*包住所有區塊*/
  display: flex;
  flex: 1;
}
@media (max-width: 575.98px) {
  .video-cart-list__info-block {
    flex-direction: column;
  }
}
.video-cart-list__info {
  flex: 1;
}
.video-cart-list__info__title {
  /*標題*/
  display: block;
  vertical-align: top;
  font-size: 1.125rem;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.video-cart-list__info__title a {
  color: var(--sm-text-color);
}
.video-cart-list__info__title a:hover, .video-cart-list__info__title a:focus {
  color: var(--primary);
}
.video-cart-list__info__note {
  /*包含那些影片*/
  font-size: 0.875rem;
  color: var(--primary);
}
.video-cart-list__info__note ul {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
  padding: 0;
  list-style-type: none;
}
.video-cart-list__info__note ul li {
  display: flex;
  gap: 0;
}
.video-cart-list__info__note ul li::before {
  content: "+";
}
.video-cart-list__info__note ul li:first-child::before {
  content: "包含:";
}
.video-cart-list__info__day {
  /*觀看天數*/
  font-size: 13px;
  color: var(--sm-text-color-light);
}
.video-cart-list__price {
  display: flex;
}
.video-cart-list__price__number {
  /*價錢數字*/
  font-size: 22px;
}
@media (max-width: 575.98px) {
  .video-cart-list__price__number {
    font-size: 18px;
  }
}
.video-cart-list__price__delete {
  /*刪除按鈕*/
  background-color: transparent;
  border: 0;
  color: var(--sm-text-color-light);
  padding: 6px 12px;
  height: -moz-fit-content;
  height: fit-content;
}
.video-cart-list__price__delete:hover {
  opacity: 0.8;
}
.video-cart-total {
  display: flex;
  padding: 0 12px;
  justify-content: flex-end;
  align-items: center;
  gap: 4px;
  /*總金額*/
}
.video-cart-total__number {
  color: var(--sm-accent);
  font-size: 32px;
}

/*==== 會員資料 ====*/
.video-card-text {
  font-size: 0.875rem;
}

/*------------------------------------*\
   通用類的
\*------------------------------------*/
.video-main-card {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
  padding: 1rem;
  margin-bottom: 1.5rem;
  border-radius: var(--sm-border-radius);
  background: #fff;
  box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.3), 0px 2px 6px 2px rgba(0, 0, 0, 0.15);
}
@media (max-width: 575.98px) {
  .video-main-card {
    margin-bottom: 1rem;
    border-radius: 0;
  }
}
.video-main-card__title {
  padding: 0 16px 8px 16px;
  margin: 0 -16px;
  font-size: 1.25rem;
  border-bottom: 1px solid var(--sm-order);
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
}
.video-main-card__btn {
  background-color: var(--primary);
  color: var(--primary-on-surface);
}
.video-main-card__btn.disabled {
  background-color: rgba(204, 0, 0, 0.3);
  color: var(--primary-on-surface);
  cursor: not-allowed !important;
}
.video-main-card__btn.disabled:hover {
  background-color: rgba(204, 0, 0, 0.3);
  color: var(--primary-on-surface);
}
.video-main-card__btn.disabled-ordered {
  background-color: rgba(66, 66, 66, 0.3);
  color: var(--primary-on-surface);
  cursor: not-allowed !important;
}
.video-main-card__btn.disabled-ordered:hover {
  background-color: rgba(66, 66, 66, 0.3);
  color: var(--primary-on-surface);
}

@media (max-width: 575.98px) {
  .video-main-mobile-full {
    /*內頁手機上滿版-需要的頁面再加這一個class*/
    margin-top: 0;
    margin-left: -16px;
    margin-right: -16px;
    overflow: hidden;
    padding-top: 6px;
  }
}